SWAPON(8)

NAME
swapon, swapoff, swapctl - specify devices for paging and swapping

SYNOPSIS
swapon -aq | file ...
swapoff -aq | file ...
swapctl [-AghklmsU] [ -a file ... | -d file ...]

DESCRIPTION
The swapon, swapoff and swapctl utilities are used to control swap devices in the system. At boot time all swap entries in /etc/fstab are added automatically when the system goes multi-user. Swap devices use a fixed interleave; the maximum number of devices is specified by the kernel configuration option NSWAPDEV, which is typically set to 4. There is no priority mechanism.

The swapon utility adds the specified swap devices to the system. If the -a option is used, all swap devices in /etc/fstab will be added, unless their “noauto” option is also set. If the -q option is used informational messages will not be written to standard output when a swap device is added.

The swapoff utility removes the specified swap devices from the system. If the -a option is used, all swap devices in /etc/fstab will be removed, unless their “noauto” option is also set. If the -q option is used informational messages will not be written to standard output when a swap device is removed. Note that swapoff will fail and refuse to remove a swap device if there is insufficient VM (memory + remaining swap devices) to run the system. The swapoff utility must move swapped pages out of the device being removed which could lead to high system loads for a period of time, depending on how much data has been swapped out to that device.

The swapctl utility exists primarily for those familiar with other BSDs and may be used to add, remove, or list swap devices. Note that the -a option is used differently in swapctl and indicates that a specific list of devices should be added. The -d option indicates that a specific list should be removed. The -A and -U options to swapctl operate on all swap entries in /etc/fstab which do not have their “noauto” option set.

Swap information can be generated using the swapinfo(8) utility, pstat -s, or swapctl -l. The swapctl utility has the following options for listing swap:

-h  Output values in human-readable form.

-g  Output values in gigabytes.

-k  Output values in kilobytes.

-m  Output values in megabytes.

-l  List the devices making up system swap.

-s  Print a summary line for system swap.

    The BLOCKSIZE environment variable is used if not specifically overridden. 512 byte blocks are used by default.

FILES
/dev/{ad,da}?s?b
    standard paging devices
/dev/md?
    memory disk devices
/etc/fstab
    ASCII file system description table

DIAGNOSTICS
These utilities may fail for the reasons described in swapon(2).

SEE ALSO
swapon(2), fstab(5), init(8), mdconfig(8), pstat(8), rc(8)

HISTORY
The swapon utility appeared in 4.0BSD. The swapoff and swapctl utilities appeared in FreeBSD 5.1.